---
title: "Returns information about a class"
slug: "returns-information-about-a-class-1"
updated: 2025-08-07T14:39:28Z
published: 2025-08-07T14:41:42Z
canonical: "docs.skillable.com/returns-information-about-a-class-1"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skillable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns information about a class

Get/class

The **Class** command returns information about a class.

SecurityAPI Key: api_keyHeader parameter nameapi_key

All methods require an API key, which must be obtained from Skillable. This key is used by Skillable to validate your account. The key can be passed as an HTTP request header with the header name "api_key".

Query parametersidstringRequired

The unique identifier of the class, as represented in your organization.

Example1223334444

Responses200

OK Response.

<select class='api-response-data' aria-label='Media type'><option value='a7dc1bc6-e1c0-4df8-a183-524c23a2800d'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='9fb2a97b-906b-41d6-bcbe-e7a4b9e51c26'>Example of getting information about a specific class</option>
</select>Example of getting information about a specific class

```json
{
  "Id": "4449999",
  "Name": "Sample Class",
  "Start": 1333267200,
  "StartTime": "/Date(1333267200000)/",
  "End": 1333299600,
  "EndTime": "/Date(1333299600000)/",
  "Expires": 1335978000,
  "ExpiresTime": "/Date(1335978000000)/",
  "Instructor": {
    "Id": "65214",
    "FirstName": "Demo",
    "LastName": "Instructor"
  },
  "Url": null,
  "MaxActiveLabInstances": 20,
  "AvailableLabs": [
    17390,
    17432
  ],
  "Error": null,
  "Status": 1
}
```

Expand Allobject  Idstring    

The unique identifier of the class, as represented in your organization.

Min length1
Namestring    

The name of the class.

Min length1
Startinteger  (int64)    

When the class starts (in Unix epoch time).

StartTimestring    

When the class starts (in Unix epoch time).

Endinteger  (int64)    

When the class ends (in Unix epoch time).

EndTimestring    

When the class ends (in Unix epoch time).

Min length1
Expiresinteger  (int64)    

When labs can no longer be associated with the class (in Unix epoch time).

ExpiresTimestring    

When labs can no longer be associated with the class (in Unix epoch time).

Min length1
Instructorobject  

The class instructor object.

Idstring    

The unique identifier of the instructor, as represented in your external system.

Min length1
FirstNamestring    

The instructor's first name.

Min length1
LastNamestring    

The instructor's last name.

Min length1

Urlstring   | null Deprecated 

This response property is deprecated. Unless explicitly allowed by Skillable, this field will always be null. To obtain a class URL, use the **ClassAccessUrl** API command.

MaxActiveLabInstancesinteger    

The maximum amount of active lab instances from the class that can be running.

AvailableLabs Array of integer   

Array of Available Labs for the class.

integer    
Errorstring   | null  

In the event of an error, this will contain a detailed error message.

Statusinteger  (int32)    

Indicates the status of the API request. 0 = Error 1 = Success
